Bug 851784 - [abrt] rhythmbox-2.90.1-10.git20110502.fc15: __GI_raise: Process /usr/bin/rhythmbox was killed by signal 6 (SIGABRT)
[abrt] rhythmbox-2.90.1-10.git20110502.fc15: __GI_raise: Process /usr/bin/rhy...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:565e3a7c35932620e2b3b0708ec...
:
Depends On: 733429
Blocks: 761294
  Show dependency treegraph
 
Reported: 2012-08-25 13:56 EDT by Honza Brázdil
Modified: 2013-07-31 16:58 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 733429
Environment:
Last Closed: 2013-07-31 16:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Report from ABRT (118.43 KB, application/octet-stream)
2012-08-25 13:56 EDT, Honza Brázdil
no flags Details

  None (edit)
Description Honza Brázdil 2012-08-25 13:56:41 EDT
Created attachment 607010 [details]
Report from ABRT

+++ This bug was initially created as a clone of Bug #733429 +++

abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        rhythmbox
component:      rhythmbox
crash_function: __GI_raise
executable:     /usr/bin/rhythmbox
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        rhythmbox-2.90.1-10.git20110502.fc15
reason:         Process /usr/bin/rhythmbox was killed by signal 6 (SIGABRT)
time:           Thu Aug 25 18:22:34 2011
uid:            500
username:       pawel

backtrace:      Text file, 93386 bytes
dso_list:       Text file, 26766 bytes
maps:           Text file, 96596 bytes

comment:
:I unchecked/rechecked the 'watch music folder' checkbox to reindex Music
:
:my ~/Music is actually mounted /dev/mapper/system-music created on ubuntu, and my UID there is 1000 and on fedora is 500, I'm going to chown it. A hunch tells me this is the source of the problem (the 1000 user does not exist)

environ:
:XDG_SESSION_ID=1
:HOSTNAME=xaos.fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1f123ec5825988f65619a06500000012-1314288503.97305-21601342
:GNOME_KEYRING_CONTROL=/tmp/keyring-Y0beOd
:IMSETTINGS_MODULE=none
:USER=pawel
:USERNAME=pawel
:MAIL=/var/spool/mail/pawel
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/pawel/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/pawel
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1402
:LANG=en_US.UTF-8
:GDM_LANG=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/pawel
:SHLVL=1
:LOGNAME=pawel
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2YPRXx20H7,guid=73c95941752364abe47c8f6800000030
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/pawel
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-pawel-y4D0CB/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1410,unix/unix:/tmp/.ICE-unix/1410
:ORBIT_SOCKETDIR=/tmp/orbit-pawel
:SSH_AUTH_SOCK=/tmp/keyring-Y0beOd/ssh
:GPG_AGENT_INFO=/tmp/keyring-Y0beOd/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1648-xaos.fedora-rhythmbox-0_TIME687777
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1932

var_log_messages:
:Aug 25 02:53:54 xaos yum[2971]: Updated: rhythmbox-2.90.1-10.git20110502.fc15.x86_64
:Aug 25 18:22:37 xaos abrt[2021]: saved core dump of pid 1932 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2011-08-25-18:22:34-1932.new/coredump (181637120 bytes)

xsession_errors:
:*** glibc detected *** rhythmbox: double free or corruption (out): 0x0000003413395200 ***
:/usr/lib64/librhythmbox-core.so.4[0x342749e546]
:rhythmbox(main+0x3cd)[0x402bdd]
:rhythmbox[0x402f95]
:00400000-00405000 r-xp 00000000 fd:01 160229                             /usr/bin/rhythmbox
:00605000-0060e000 rw-p 00005000 fd:01 160229                             /usr/bin/rhythmbox
:3427400000-342751f000 r-xp 00000000 fd:01 160226                         /usr/lib64/librhythmbox-core.so.4.0.0
:342751f000-342771f000 ---p 0011f000 fd:01 160226                         /usr/lib64/librhythmbox-core.so.4.0.0
:342771f000-3427728000 rw-p 0011f000 fd:01 160226                         /usr/lib64/librhythmbox-core.so.4.0.0
:7f5b00af9000-7f5b00b1a000 r-xp 00000000 fd:01 53527                      /usr/lib64/rhythmbox/plugins/audioscrobbler/libaudioscrobbler.so
:7f5b00b1a000-7f5b00d19000 ---p 00021000 fd:01 53527                      /usr/lib64/rhythmbox/plugins/audioscrobbler/libaudioscrobbler.so
:7f5b00d19000-7f5b00d1b000 rw-p 00020000 fd:01 53527                      /usr/lib64/rhythmbox/plugins/audioscrobbler/libaudioscrobbler.so
:7f5b00d1b000-7f5b00d24000 r-xp 00000000 fd:01 53576                      /usr/lib64/rhythmbox/plugins/mpris/libmpris.so
:7f5b00d24000-7f5b00f24000 ---p 00009000 fd:01 53576                      /usr/lib64/rhythmbox/plugins/mpris/libmpris.so
:7f5b00f24000-7f5b00f25000 rw-p 00009000 fd:01 53576                      /usr/lib64/rhythmbox/plugins/mpris/libmpris.so
:7f5b00f25000-7f5b00f29000 r-xp 00000000 fd:01 53574                      /usr/lib64/rhythmbox/plugins/mmkeys/libmmkeys.so
:7f5b00f29000-7f5b01128000 ---p 00004000 fd:01 53574                      /usr/lib64/rhythmbox/plugins/mmkeys/libmmkeys.so
:7f5b01128000-7f5b01129000 rw-p 00003000 fd:01 53574                      /usr/lib64/rhythmbox/plugins/mmkeys/libmmkeys.so
:7f5b02499000-7f5b024ad000 r-xp 00000000 fd:01 53578                      /usr/lib64/rhythmbox/plugins/mtpdevice/libmtpdevice.so
:7f5b024ad000-7f5b026ac000 ---p 00014000 fd:01 53578                      /usr/lib64/rhythmbox/plugins/mtpdevice/libmtpdevice.so
:7f5b026ac000-7f5b026ae000 rw-p 00013000 fd:01 53578                      /usr/lib64/rhythmbox/plugins/mtpdevice/libmtpdevice.so
:7f5b0d2a8000-7f5b0d2ab000 r-xp 00000000 fd:01 53580                      /usr/lib64/rhythmbox/plugins/power-manager/libpower-manager.so
:7f5b0d2ab000-7f5b0d4aa000 ---p 00003000 fd:01 53580                      /usr/lib64/rhythmbox/plugins/power-manager/libpower-manager.so
:7f5b0d4aa000-7f5b0d4ab000 rw-p 00002000 fd:01 53580                      /usr/lib64/rhythmbox/plugins/power-manager/libpower-manager.so
:7f5b0e841000-7f5b0e852000 r-xp 00000000 fd:01 53525                      /usr/lib64/rhythmbox/plugins/audiocd/libaudiocd.so
:7f5b0e852000-7f5b0ea51000 ---p 00011000 fd:01 53525                      /usr/lib64/rhythmbox/plugins/audiocd/libaudiocd.so
:7f5b0ea51000-7f5b0ea53000 rw-p 00010000 fd:01 53525                      /usr/lib64/rhythmbox/plugins/audiocd/libaudiocd.so
:7f5b0ea55000-7f5b0ea5d000 r-xp 00000000 fd:01 53541                      /usr/lib64/rhythmbox/plugins/dbus-media-server/libdbus-media-server.so
:7f5b0ea5d000-7f5b0ec5d000 ---p 00008000 fd:01 53541                      /usr/lib64/rhythmbox/plugins/dbus-media-server/libdbus-media-server.so
:7f5b0ec5d000-7f5b0ec5e000 rw-p 00008000 fd:01 53541                      /usr/lib64/rhythmbox/plugins/dbus-media-server/libdbus-media-server.so
:7f5b0ec5e000-7f5b0ec62000 r-xp 00000000 fd:01 276384                     /usr/lib64/rhythmbox/plugins/notification/libnotification.so
:7f5b0ec62000-7f5b0ee62000 ---p 00004000 fd:01 276384                     /usr/lib64/rhythmbox/plugins/notification/libnotification.so
:7f5b0ee62000-7f5b0ee63000 rw-p 00004000 fd:01 276384                     /usr/lib64/rhythmbox/plugins/notification/libnotification.so
:7f5b0ee63000-7f5b0ee6d000 r-xp 00000000 fd:01 53551                      /usr/lib64/rhythmbox/plugins/iradio/libiradio.so
:7f5b0ee6d000-7f5b0f06d000 ---p 0000a000 fd:01 53551                      /usr/lib64/rhythmbox/plugins/iradio/libiradio.so
:7f5b0f06d000-7f5b0f06e000 rw-p 0000a000 fd:01 53551                      /usr/lib64/rhythmbox/plugins/iradio/libiradio.so
:7f5b0f070000-7f5b0f07d000 r-xp 00000000 fd:01 53545                      /usr/lib64/rhythmbox/plugins/generic-player/libgeneric-player.so
:7f5b0f07d000-7f5b0f27d000 ---p 0000d000 fd:01 53545                      /usr/lib64/rhythmbox/plugins/generic-player/libgeneric-player.so
:7f5b0f27d000-7f5b0f27e000 rw-p 0000d000 fd:01 53545                      /usr/lib64/rhythmbox/plugins/generic-player/libgeneric-player.so

--- Additional comment from pawelprazak@gmail.com on 2011-08-25 13:03:40 EDT ---

Created attachment 519930 [details]
File: dso_list

--- Additional comment from pawelprazak@gmail.com on 2011-08-25 13:03:45 EDT ---

Created attachment 519931 [details]
File: maps

--- Additional comment from pawelprazak@gmail.com on 2011-08-25 13:03:50 EDT ---

Created attachment 519932 [details]
File: backtrace

--- Additional comment from rui.gouveia@gmail.com on 2011-09-12 13:22:14 EDT ---

Package: rhythmbox-2.90.1-11.git20110502.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Sorry! I don't have a clue.

--- Additional comment from benjo316_2003@yahoo.com on 2011-11-05 13:04:47 EDT ---

Package: rhythmbox-2.90.1-17.git20110927.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
To reproduce:
1.) Opened rhythmbox
2.) Opened preferences->music
3.) unchecked/checked "monitor library for updates"
 * (library now has music listed)
4.) repeat step 3, as necessary
 * Eventually (usually the first time on step four), rhythmbox receives SIGABRT
and rhythmbox-metadata receives SIGSEGV

Possibly related to bug 739779

--- Additional comment from 255993@mail.muni.cz on 2011-11-08 07:37:35 EST ---

Package: rhythmbox-2.90.1-17.git20110927.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
adding watcher on dir

--- Additional comment from shnatsel@gmail.com on 2011-11-10 12:38:12 EST ---

Package: rhythmbox-2.90.1-17.git20110927.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I've opened Rhythmbox, clicked "import folder" and pointed it to my music folder with lots of subfolders with mixed mp3, flac and ogg files.

--- Additional comment from andrig.t.miller@gmail.com on 2011-11-18 22:05:07 EST ---

Package: rhythmbox-2.90.1-17.git20110927.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Turned on the fullscreen visual effects, in high quality mode, and it just crashed.

--- Additional comment from michele5ba@live.com on 2012-01-05 10:58:33 EST ---

refreshed podcasts

rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

--- Additional comment from jlmeram89@hotmail.com on 2012-01-25 11:46:11 EST ---

Played a mp3 of my external disk

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from jlmeram89@hotmail.com on 2012-01-25 11:46:16 EST ---

Created attachment 557481 [details]
File: backtrace

--- Additional comment from yohei2triton@gmail.com on 2012-02-15 00:40:26 EST ---

clear the check box for "watch library"

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from yohei2triton@gmail.com on 2012-02-15 00:40:31 EST ---

Created attachment 562126 [details]
File: backtrace

--- Additional comment from bram.schellen@gmail.com on 2012-02-26 05:48:04 EST ---

Was changing settings

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from bram.schellen@gmail.com on 2012-02-26 05:48:13 EST ---

Created attachment 565874 [details]
File: backtrace

--- Additional comment from ajaest@gmail.com on 2012-03-18 08:51:09 EDT ---

I was simply listening to a podcast in mp3 format. The podcast was already downloaded in my computer. This happens from time to time also with library music.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from ajaest@gmail.com on 2012-03-18 08:51:19 EDT ---

Created attachment 570883 [details]
File: backtrace

--- Additional comment from pmuller@redhat.com on 2012-03-22 07:10:30 EDT ---

I was listening to a last.fm stream, and pushed a 'next' key on the keyboard.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from pmuller@redhat.com on 2012-03-22 07:10:38 EDT ---

Created attachment 571964 [details]
File: backtrace

--- Additional comment from christian.kirbach@googlemail.com on 2012-03-29 18:09:56 EDT ---

Deselecting and immediately afterwards selecting "watch music folder for new songs"

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from christian.kirbach@googlemail.com on 2012-03-29 18:10:02 EDT ---

Created attachment 573818 [details]
File: backtrace

--- Additional comment from reinouts@gnome.org on 2012-04-02 06:21:17 EDT ---

I closed Rhythmbox.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from reinouts@gnome.org on 2012-04-02 06:21:24 EDT ---

Created attachment 574448 [details]
File: backtrace

--- Additional comment from justafedorauser@mailinator.com on 2012-04-13 20:45:48 EDT ---

I noticed that rhythmbox failed to play an mp3 track on the playlist that I had recently moved to a different directory. I couldn't find a feature to have rhythmbox "re-scan" my library (though it is indeed set to "watch" that directory), so I went to the preferences, unchecked the "Watch" box, then re-checked it a moment later, hoping that this would force a "re-scan." Instead, the program crashed.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from justafedorauser@mailinator.com on 2012-04-13 20:45:58 EDT ---

Created attachment 577435 [details]
File: backtrace

--- Additional comment from u5afe@hotmail.com on 2012-04-14 08:14:18 EDT ---

setting the file location for music based on smb mounted share in /media/music
setting the scan for changes to true


backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from u5afe@hotmail.com on 2012-04-14 08:14:23 EDT ---

Created attachment 577455 [details]
File: backtrace

--- Additional comment from braden@endoframe.com on 2012-04-16 01:31:51 EDT ---

I unchecked then rechecked "Watched my library for new files".

backtrace_rating: 4
Package: rhythmbox-2.96-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from etienne.mollet@gmail.com on 2012-04-25 13:49:35 EDT ---

I just imported my itunes collection into rythmbox when its happened

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from etienne.mollet@gmail.com on 2012-04-25 13:49:43 EDT ---

Created attachment 580223 [details]
File: backtrace

--- Additional comment from turakas@gmail.com on 2012-05-18 11:29:15 EDT ---

I went to preferences, music tab and unchecked "automatically add files to collection" (don't know the exact frase, since I use estonian lang)

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)

--- Additional comment from turakas@gmail.com on 2012-05-18 11:29:27 EDT ---

Created attachment 585439 [details]
File: backtrace

--- Additional comment from hellojoker81@gmail.com on 2012-06-02 10:08:20 EDT ---

1) Open rhythmbox
2) enable fm plugin
3) the program crashes
4) and not start anymore


backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from hellojoker81@gmail.com on 2012-06-02 10:52:09 EDT ---

after enabling the plugin fm, which caused the program to crash, the program does not start

backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from iiska@iki.fi on 2012-06-09 05:27:32 EDT ---

I unchecked "Watch my library for new files" and after I immediately checked it again Rhytmbox crashed.

Steps to reproduce:

1. Enter Music library preferences: Edit -> Preferences -> Music
2. Toggle checkbox "Watch my library for new files"
3. Repeat step 2

Crash doesn't always happen immediately after first uncheck, check operation, but eventually Rhytmbox will crash if toggling the checkbox value is repeated 2-3 times.


backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from mail@richard-neumann.de on 2012-07-05 17:50:11 EDT ---

I tried to install additional codecs for rhythmbox as it recommended on the "import error" screen.

backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from iamscottevil@yahoo.com on 2012-07-25 23:11:17 EDT ---

clicked on the add button for podcasts after adding a podcast.

backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from xiamx2004@gmail.com on 2012-08-01 17:50:47 EDT ---

I went to plugin settings in Rhythmbox, clicked on DAAP, enabled autodiscovory of DAAP enabled machines. Then clicked on the DAAP music library discovered. Program crashed

backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 11:26:11 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Fedora End Of Life 2013-07-03 16:43:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 16:58:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.